import datetime
import pandas as pd

import participants.query_db

participants_inactive_usernames = participants.query_db.get_usernames(
    tester=False,  # True participants are wanted.
    active=False,  # They have all finished their participation.
    collection_start=datetime.date.fromisoformat(
        "2020-08-01"
    ),  # This is the timeframe of the main study.
    last_upload=datetime.date.fromisoformat("2021-09-01"),
)

participants_overview_si = pd.read_csv(
    "E:/STRAWbaseline/Participants_overview_Slovenia.csv", sep=";"
)
participants_overview_be = pd.read_csv(
    "E:/STRAWbaseline/Participants_overview_Belgium.csv", sep=";"
)

participants_true_si = participants_overview_si[
    participants_overview_si["Wristband_SerialNo"] != "DECLINED"
]
participants_true_be = participants_overview_be[
    participants_overview_be["SmartphoneBrand+Generation"].str.slice(0, 3) != "Not"
]
